Bug 1018623 - abort due to memory corruption discovered in VectorSetI, SetI destructor calls.
abort due to memory corruption discovered in VectorSetI, SetI destructor calls.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: java-1.6.0-openjdk (Show other bugs)
5.5
Unspecified Unspecified
medium Severity medium
: rc
: 5.11
Assigned To: Christine Flood
BaseOS QE - Apps
:
Depends On:
Blocks: 1049888
  Show dependency treegraph
 
Reported: 2013-10-13 18:43 EDT by Brad Hubbard
Modified: 2014-02-04 10:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-03 11:36:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Full backtrace of all threads (18.94 KB, application/octet-stream)
2013-10-13 18:43 EDT, Brad Hubbard
no flags Details

  None (edit)
Description Brad Hubbard 2013-10-13 18:43:45 EDT
Created attachment 811823 [details]
Full backtrace of all threads

Description of problem:

Core was generated by `java -Dprogram.name=run.sh -server -Xms512m -Xmx512m -XX:PermSize=256m -XX:MaxP'.
Program terminated with signal 6, Aborted.
#0  0x0000003c47430265 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64        return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) bt
#0  0x0000003c47430265 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x0000003c47431d10 in abort () at abort.c:88
#2  0x00002b4bc5d0d5d9 in os::abort (dump_core=true) at /usr/src/debug/icedtea6-1.11.11.90/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:1563
#3  0x00002b4bc5e66d70 in VMError::report_and_die (this=0x416d9de0) at /usr/src/debug/icedtea6-1.11.11.90/openjdk/hotspot/src/share/vm/utilities/vmError.cpp:975
#4  0x00002b4bc5d12bf1 in JVM_handle_linux_signal (sig=11, info=0x416d9fb0, ucVoid=0x416d9e80, abort_if_unrecognized=1)
    at /usr/src/debug/icedtea6-1.11.11.90/openjdk/hotspot/src/os_cpu/linux_x86/vm/os_linux_x86.cpp:528
#5  <signal handler called>
#6  0x0000003c4746f8d8 in mem2chunk_check (mem=0xa4d3480, magic_p=0x0) at hooks.c:162
#7  0x0000003c47475d72 in free_check (mem=0xa4d3480, caller=<value optimized out>) at hooks.c:281
#8  0x0000003c474727f1 in __libc_free (mem=0xa4d3480) at malloc.c:3643
#9  0x00002b4bc5a54d0b in ~SetI (this=0x9bc3f70, n=0x8478400, phase=0x416db030) at /usr/src/debug/icedtea6-1.11.11.90/openjdk/hotspot/src/share/vm/libadt/set.hpp:245
#10 ~VectorSetI (this=0x9bc3f70, n=0x8478400, phase=0x416db030) at /usr/src/debug/icedtea6-1.11.11.90/openjdk/hotspot/src/share/vm/libadt/vectset.hpp:172
#11 ConnectionGraph::build_connection_graph (this=0x9bc3f70, n=0x8478400, phase=0x416db030) at /usr/src/debug/icedtea6-1.11.11.90/openjdk/hotspot/src/share/vm/opto/escape.cpp:2684
#12 0x00002b4bc5a580d2 in ConnectionGraph::compute_escape (this=0x9bc3f70) at /usr/src/debug/icedtea6-1.11.11.90/openjdk/hotspot/src/share/vm/opto/escape.cpp:1627
#13 0x00002b4bc5a58ffe in ConnectionGraph::do_analysis (C=0x416dd1a0, igvn=0x416db030) at /usr/src/debug/icedtea6-1.11.11.90/openjdk/hotspot/src/share/vm/opto/escape.cpp:1504
#14 0x00002b4bc59c3676 in Compile::Optimize (this=0x416dd1a0) at /usr/src/debug/icedtea6-1.11.11.90/openjdk/hotspot/src/share/vm/opto/compile.cpp:1654
#15 0x00002b4bc59c482c in Compile::Compile (this=0x416dd1a0, ci_env=0x416ddae0, compiler=0x733b990, target=<value optimized out>, osr_bci=<value optimized out>, 
    subsume_loads=<value optimized out>, do_escape_analysis=true) at /usr/src/debug/icedtea6-1.11.11.90/openjdk/hotspot/src/share/vm/opto/compile.cpp:727
#16 0x00002b4bc5944b23 in C2Compiler::compile_method (this=0x733b990, env=0x416ddae0, target=0x840dd60, entry_bci=-1)
    at /usr/src/debug/icedtea6-1.11.11.90/openjdk/hotspot/src/share/vm/opto/c2compiler.cpp:124
#17 0x00002b4bc59c8a3e in CompileBroker::invoke_compiler_on_method (task=0x7a0cdf0) at /usr/src/debug/icedtea6-1.11.11.90/openjdk/hotspot/src/share/vm/compiler/compileBroker.cpp:1563
#18 0x00002b4bc59ca00c in CompileBroker::compiler_thread_loop () at /usr/src/debug/icedtea6-1.11.11.90/openjdk/hotspot/src/share/vm/compiler/compileBroker.cpp:1404
#19 0x00002b4bc5e1e54d in JavaThread::thread_main_inner (this=0x7354800) at /usr/src/debug/icedtea6-1.11.11.90/openjdk/hotspot/src/share/vm/runtime/thread.cpp:1519
#20 0x00002b4bc5d107e4 in java_start (thread=0x7354800) at /usr/src/debug/icedtea6-1.11.11.90/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:861
#21 0x0000003c47c0673d in start_thread (arg=<value optimized out>) at pthread_create.c:301
#22 0x0000003c474d3d1d in clone () from /lib64/libc.so.6


Version-Release number of selected component (if applicable):
java-1.6.0-openjdk-1.6.0.0-1.41.1.11.11.90.el5_9

How reproducible:
Unknown, seen once

Additional info:

# strings core.7153| grep MALLOC_CHECK_
MALLOC_CHECK_=1
Comment 1 Deepak Bhole 2013-10-15 14:02:24 EDT
Not sure how addressable this is given that it is not reproducible, but assigning to Christine to make the final call.
Comment 2 RHEL Product and Program Management 2014-01-22 11:24:22 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 3 Deepak Bhole 2014-02-03 11:10:19 EST
Setting nack as there is no further update on a reproducer for this. Please re-open if a reproducer becomes available.
Comment 4 RHEL Product and Program Management 2014-02-03 11:36:48 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.